NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::GeometricUtilities::FaceSetOffsetCollection Class Reference

This class contains the factory methods for creating an face set offset. More...

Inheritance diagram for NXOpen::GeometricUtilities::FaceSetOffsetCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::GeometricUtilities::FaceSetOffsetCreateEmptyFaceSet ()
 Creates an empty offset face set, with all parameters set to 0 or NULL. More...
 
NXOpen::GeometricUtilities::FaceSetOffsetCreateFaceSet (const NXString &offset, NXOpen::ScCollector *faceCollector, bool flipValue, int index)
 Creates an offset face set. More...
 
NXOpen::GeometricUtilities::FaceSetOffsetCreateFaceSet (const char *offset, NXOpen::ScCollector *faceCollector, bool flipValue, int index)
 Creates an offset face set. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class contains the factory methods for creating an face set offset.


To obtain an instance of this class, refer to NXOpen::Part

Created in NX4.0.0.

Member Function Documentation

iterator NXOpen::GeometricUtilities::FaceSetOffsetCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::GeometricUtilities::FaceSetOffset* NXOpen::GeometricUtilities::FaceSetOffsetCollection::CreateEmptyFaceSet ( )

Creates an empty offset face set, with all parameters set to 0 or NULL.

Returns
Resultant offset face set
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::GeometricUtilities::FaceSetOffset* NXOpen::GeometricUtilities::FaceSetOffsetCollection::CreateFaceSet ( const NXString offset,
NXOpen::ScCollector faceCollector,
bool  flipValue,
int  index 
)

Creates an offset face set.

Returns
Resultant offset face set
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
offsetInitial expression string for offset distance
faceCollectorSmart collector for the face set
flipValueWhether the faceset should be flipped or not
indexIndex of face set in the list
NXOpen::GeometricUtilities::FaceSetOffset* NXOpen::GeometricUtilities::FaceSetOffsetCollection::CreateFaceSet ( const char *  offset,
NXOpen::ScCollector faceCollector,
bool  flipValue,
int  index 
)

Creates an offset face set.

Returns
Resultant offset face set
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
offsetInitial expression string for offset distance
faceCollectorSmart collector for the face set
flipValueWhether the faceset should be flipped or not
indexIndex of face set in the list
iterator NXOpen::GeometricUtilities::FaceSetOffsetCollection::end ( )

Returns an iterator addressing one past the last element.

tag_t NXOpen::GeometricUtilities::FaceSetOffsetCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.